import numpy as np

configs = {
    "grch38_h1_rad21_dic0_graphical-illustrations": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/modle/with_noise/",
        "filename": "grch38_h1_rad21",
        "chr2fetch": "chr8",
        "RoI_length": 2000000,
        "resolution": 5000,
        "genomic_belt": 5000000,
        "min_persistence": 0.05,  # 0.025
        "threshold_cut": 0.05,
        "min_persistence_local": 0.15,
        "max_width": 10,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "grch38_h1_rad21_5k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/modle/with_noise/",
        "filename": "grch38_h1_rad21",
        "resolution": 5000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.05,  # 0.025
        "threshold_cut": 0.05,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "grch38_h1_rad21_10k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/modle/with_noise/",
        "filename": "grch38_h1_rad21",
        "resolution": 10000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.05,
        "threshold_cut": 0.05,
        "min_persistence_local": 0.15,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "grch38_h1_rad21_25k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/modle/with_noise/",
        "filename": "grch38_h1_rad21",
        "resolution": 25000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.05,
        "threshold_cut": 0.05,
        "min_persistence_local": 0.10,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "grch38_h1_rad21_50k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/modle/with_noise/",
        "filename": "grch38_h1_rad21",
        "resolution": 50000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.05,
        "threshold_cut": 0.05,
        "min_persistence_local": 0.05,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "4DNFI6HDY7WZ_5k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "4DNFI6HDY7WZ.fixed",
        "chr2fetch": "chrX",
        "resolution": 5000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.05,
        "quantile_persistence": 0.75,
        # 'min_persistence': 0.10,
        "threshold_cut": 0.05,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "4DNFI6HDY7WZ_10k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "4DNFI6HDY7WZ.fixed",
        "chr2fetch": "chrX",
        "resolution": 10000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.10,
        "quantile_persistence": 0.75,
        "threshold_cut": 0.05,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "4DNFI6HDY7WZ_20k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "4DNFI6HDY7WZ.fixed",
        "chr2fetch": "chrX",
        "resolution": 20000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.075,
        "quantile_persistence": 0.75,
        # 'min_persistence': 0.1,
        "threshold_cut": 0.05,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "4DNFI6HDY7WZ_50k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "4DNFI6HDY7WZ.fixed",
        "chr2fetch": "chrX",
        "resolution": 50000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.05,
        "quantile_persistence": 0.75,
        # 'min_persistence': 0.10,
        "threshold_cut": 0.1,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "4DNFI9GMP2J8_fixed_5k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "4DNFI9GMP2J8.fixed",
        "chr2fetch": "chr8",
        "resolution": 5000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.15,
        "threshold_cut": 0.1,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "4DNFI9GMP2J8_fixed_10k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "4DNFI9GMP2J8.fixed",
        "chr2fetch": "chr8",
        "resolution": 10000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.15,
        "threshold_cut": 0.1,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "4DNFI9GMP2J8_fixed_20k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "4DNFI9GMP2J8.fixed",
        "chr2fetch": "chr8",
        "resolution": 20000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.075,
        "threshold_cut": 0.1,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "4DNFI9GMP2J8_fixed_50k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "4DNFI9GMP2J8.fixed",
        "chr2fetch": "chr8",
        "resolution": 50000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.05,
        "threshold_cut": 0.1,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "ENCFF993FGR_5k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "ENCFF993FGR",
        "chr2fetch": "chr8",
        "resolution": 5000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.05,
        "threshold_cut": 0.1,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "ENCFF993FGR_25k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "ENCFF993FGR",
        "chr2fetch": "chr8",
        "resolution": 25000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.05,
        "threshold_cut": 0.1,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "ENCFF993FGR_50k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "ENCFF993FGR",
        "chr2fetch": "chr8",
        "resolution": 50000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.01,
        "threshold_cut": 0.1,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "ENCFF993FGR_100k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "ENCFF993FGR",
        "chr2fetch": "chr8",
        "resolution": 100000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.01,
        "threshold_cut": 0.1,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "ENCFF993FGR_2k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "ENCFF993FGR",
        "chr2fetch": "chr8",
        "resolution": 2000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.1,
        "threshold_cut": 0.1,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "ENCFF993FGR_1k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "ENCFF993FGR",
        "chr2fetch": "chr8",
        "resolution": 1000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.1,
        "threshold_cut": 0.1,
        "max_width": 10,
        "min_persistence_local": 0.25,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "ENCFF594KOM_5k": {
        "root": "/Users/andreraf/Dropbox (UiO)/2022-detection-of-architectural-stripes/",
        "filename": "ENCFF594KOM",
        "chr2fetch": "chr8",
        "start": 110000000,
        "end": 111100000,
        "resolution": 5000,
        "genomic_belt": 5000000,
        "min_persistence": 0.25,
        "descent_percentage": 10,
        "threshold_cut": 0.1,
        "min_persistence_local": 0.25,
    },
    "MoDLE-benchmark-1": {
        "root": "/Users/andreraf/UiO Dropbox/Andrea Raffo/2022-detection-of-architectural-stripes/modle/andreas/",
        "output_path": "/Users/andreraf/Documents/GitHub/stripepy/output/MoDLE-benchmark/",
        "filename": "grch38_h1_rad21_10_00001",
        "resolution": 5000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.025,  # 0.05
        "loc_trend_min": 0.05,
        "loc_pers_min": 0.25,
        "max_width": 10,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "MoDLE-benchmark-2": {
        "root": "/Users/andreraf/UiO Dropbox/Andrea Raffo/2022-detection-of-architectural-stripes/modle/andreas/",
        "output_path": "/Users/andreraf/Documents/GitHub/stripepy/output/MoDLE-benchmark/",
        "filename": "grch38_h1_rad21_10_00001",
        "resolution": 5000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.075,
        "loc_trend_min": 0.05,
        "loc_pers_min": 0.25,
        "max_width": 10,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
    "MoDLE-benchmark-3": {
        "root": "/Users/andreraf/UiO Dropbox/Andrea Raffo/2022-detection-of-architectural-stripes/modle/andreas/",
        "output_path": "/Users/andreraf/Documents/GitHub/stripepy/output/MoDLE-benchmark/",
        "filename": "grch38_h1_rad21_10_00001",
        "resolution": 5000,
        "RoI_length": 2000000,
        "genomic_belt": 5000000,
        "min_persistence": 0.050,
        "loc_trend_min": 0.05,
        "loc_pers_min": 0.25,
        "max_width": 10,
        "thresholds_relative_change": np.arange(0.0, 10.1, 0.2),
    },
}

config = configs["MoDLE-benchmark-2"]
no_frills_in_images = False
be_verbose = True
